
package cz.upol.pja.lecture07.api;

import cz.upol.pja.lecture07.model.Quote;
import java.util.List;
import java.util.Map;
import javax.ejb.Local;

@Local
public interface QuoteTest {
    
    /**
     * Zahaji novy test
     * @param pocet otazek
     */
    public void startNewTest(int count);
    
    /**
     * @return vraci aktualne zadanou otazku
     */
    public String getCurrentQuery();
    
    /**
     * @return vraci mozne odpovedi pro danou otazku
     */
    public List<String> getChoices(int count);
    
    /**
     * Nastavi dany parametr jako odpoved na aktualni otazku,
     * a posune se k dalsi otazce
     */
    public void setAnswer(String choice);
    
    /**
     * Vraci seznam dvojic: otazka + odpoved
     */
    public Map<Quote, String> getAnswers();
    
    /**
     * @return  pocet jiz zodpovezenych otazek
     */
    public int getAnsweredQuestions();
    
    /**
     * @return celkovy pocet otazek
     */
    public int getTotalQuestions();
    
    /**
     * @return celkovy pocet spravnych otazek
     */
    public int getCorrectAnswers();
  
    
}
